%define name XFree86-compat-libs
%define version 4.1.0
%define release 2mdk

Summary: The Xv and Xxfdga shared libraries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0: XFree86-compat-libs-4.1.0-compile.patch.bz2
URL: http://www.xfree86.org/
License: MIT
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	XFree86-devel bison flex gcc
Prefix: %{_prefix}

%description
XFree86-compat-libs contains the shared libraries for Xv and Xxf86dga,
needed by some programs built on Mandrake Linux 8.1.

%prep
%setup
%patch0 -p1 -b .compile

pwd
ls -l

cat > xc/config/cf/host.def <<END
#define DefaultGcc2i386Opt	$RPM_OPT_FLAGS
#define DefaultGcc2AxpOpt       $RPM_OPT_FLAGS

#define NeedModuleRanlib	YES
#define ModuleRanlibCmd		RanlibCmd

#define HasAgpGart		YES
#define HasLdRunPath		NO
#define InstallXserverSetUID	NO
#define BuildServersOnly        NO
#define HasPam			YES
#define HasZlib			YES
#define HasFreetype2		YES
#define FreeTypeLibDir		/usr/lib
#define FreeTypeIncDir		/usr/include/freetype
#define FreeTypeLibName		ttf
#define BuildFreetype2Library   YES
#define HasBlindFaithInUnicode	YES
#define BuildFonts		YES
#define BuildCyrillicFonts	YES
#define BuildXF86MiscExt	YES
#define BuildHtmlManPages	NO
#define XVendorString		"Mandrake Linux (XFree86 %{version}, patch level %{release})"
#define UseInternalMalloc	NO
#define ForceNormalLib		YES
#define NormalLibFont		YES
#define UseXserverWrapper	YES
#define BuildXF86DRI		YES
#define BuildXF86DRM		NO
#define UseGccMakeDepend	NO
#define HasLinuxInput		YES
#define LinkGLToUsrInclude	NO
#define LinkGLToUsrLib		NO

#define SharedLibXdmGreet       NO
#define SharedLibXxf86dga       YES
#define SharedLibXv             YES

#define AdmDir 			/var/log
#define LbxproxyDir 		/etc/X11/lbxproxy
#define ProxyManagerDir 	/etc/X11/proxymngr
#define ServerConfigDir 	/etc/X11/xserver
#define XdmDir 			/etc/X11/xdm
#define XConfigDir 		/etc/X11
#define XinitDir 		/etc/X11/xinit

END

# end of %%install

%build
make -C xc World

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install -C xc

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/X11R6/lib/lib*.so.*

%changelog
* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 4.1.0-2mdk
- BuildRequires

* Wed Jan 16 2002 Frederic Lepied <flepied@mandrakesoft.com> 4.1.0-1mdk
- first version

# end of file
